Bug 1280080 - SELinux is preventing ps from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.
SELinux is preventing ps from 'ioctl' accesses on the unix_stream_socket unix...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:55124940e95f13af9354d2a4a15...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 17:09 EST by hernancete
Modified: 2015-11-20 06:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 06:00:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hernancete 2015-11-10 17:09:29 EST
Description of problem:
coincide con sudo nano /etc/samba/smb.conf apenas lo ejecute aparecio el error.
SELinux is preventing ps from 'ioctl' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If usted desea usar el paquete plugin
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests   **************************

If cree que de manera predeterminada, ps debería permitir acceso ioctl sobre  unix_stream_socket unix_stream_socket.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep ps /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0
                              :c0.c1023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        ps
Source Path                   ps
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-122.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.0.4-301.fc22.x86_64+debug #1 SMP
                              Thu May 21 12:56:19 UTC 2015 x86_64 x86_64
Alert Count                   10
First Seen                    2015-11-08 12:24:52 ART
Last Seen                     2015-11-10 18:54:38 ART
Local ID                      a64e4fb7-f387-40d7-a41c-7c9c5226c3c3

Raw Audit Messages
type=AVC msg=audit(1447192478.883:519): avc:  denied  { ioctl } for  pid=2202 comm="ps" path="socket:[23426]" dev="sockfs" ino=23426 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket permissive=1


Hash: ps,mozilla_plugin_t,unconfined_dbusd_t,unix_stream_socket,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-122.fc22.noarch

Additional info:
reporter:       libreport-2.5.1
hashmarkername: setroubleshoot
kernel:         4.0.4-301.fc22.x86_64+debug
type:           libreport

Potential duplicate: bug 1168666
Comment 1 Miroslav Grepl 2015-11-20 06:00:03 EST
*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If usted desea usar el paquete plugin
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

Note You need to log in before you can comment on or make changes to this bug.